package org.jeecg.modules.qyxx.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.qyxx.entity.CsPtQyxx;

import java.util.List;

/**
 * @Description: 企业信息
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
public interface ICsPtQyxxService extends IService<CsPtQyxx> {
    /**
     * 根据终端获取企业信息
     * @param zdlx
     * @return
     */
    List<CsPtQyxx> selectQyxxByKpzd(String zdlx);

    CsPtQyxx getByNsrsbh(String nsrsbh);

    void syncData(CsPtQyxx qyxx);
}
